<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project7</name>
  <program_name>project7</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>a_window</name>
  <visible>False</visible>
  <title>wheel window</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <default_width>240</default_width>
  <default_height>200</default_height>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkHBox</class>
      <name>hbox</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkFrame</class>
	    <name>frame6</name>
	    <visible>False</visible>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_create:tt1:GdamTurntableSkin:empty.xml</handler>
	      <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	    </signal>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_NONE</shadow_type>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkFrame</class>
	    <name>frame66</name>
	    <visible>False</visible>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_create:pq1:GdamProducerQueueSkin:empty.xml</handler>
	      <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_set_turntable_child:tt1:pq1</handler>
	      <last_modification_time>Sun, 16 Jan 2000 08:24:57 GMT</last_modification_time>
	    </signal>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_NONE</shadow_type>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkFrame</class>
	    <name>tt_m_wid_dark</name>
	    <height>204</height>
	    <signal>
	      <name>drag_data_received</name>
	      <handler>gdam_packer_defer:tt1:gdam_turntable_frame_drag_data_received</handler>
	      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
	    </signal>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_NONE</shadow_type>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkFixed</class>
	      <name>fixed1_dark</name>
	      <width>280</width>
	      <height>200</height>

	      <widget>
		<class>GtkDrawingArea</class>
		<name>drawingarea1_allblack</name>
		<x>16</x>
		<y>143</y>
		<width>246</width>
		<height>22</height>
		<sensitive>False</sensitive>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox1_allblack</name>
		<x>38</x>
		<y>45</y>
		<width>70</width>
		<height>68</height>
		<signal>
		  <name>drag_data_get</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_tempo_drag_source</handler>
		  <last_modification_time>Wed, 06 Oct 1999 03:27:40 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_packer_defer:tt1:gdam_turntable_tempo_data_drag</handler>
		  <last_modification_time>Wed, 12 Apr 2000 04:52:05 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>GtkFrame</class>
		  <name>frame1_allblack</name>
		  <label_xalign>0</label_xalign>
		  <shadow_type>GTK_SHADOW_IN</shadow_type>

		  <widget>
		    <class>GtkVBox</class>
		    <name>vbox4</name>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>

		    <widget>
		      <class>GtkLabel</class>
		      <name>rate_invlabel</name>
		      <width>70</width>
		      <signal>
			<name>whatever</name>
			<handler>gdam_packer_defer:tt1:gdam_skin_label:resample_rate:%3.2f%%:100:0</handler>
			<last_modification_time>Wed, 19 Jul 2000 20:15:22 GMT</last_modification_time>
		      </signal>
		      <label>0.000</label>
		      <justify>GTK_JUSTIFY_CENTER</justify>
		      <wrap>False</wrap>
		      <xalign>0.5</xalign>
		      <yalign>0.5</yalign>
		      <xpad>0</xpad>
		      <ypad>0</ypad>
		      <child>
			<padding>0</padding>
			<expand>True</expand>
			<fill>True</fill>
		      </child>
		    </widget>

		    <widget>
		      <class>GtkLabel</class>
		      <name>label1_inactivelabel</name>
		      <label>tempo:</label>
		      <justify>GTK_JUSTIFY_CENTER</justify>
		      <wrap>False</wrap>
		      <xalign>0.5</xalign>
		      <yalign>0.5</yalign>
		      <xpad>0</xpad>
		      <ypad>0</ypad>
		      <child>
			<padding>0</padding>
			<expand>False</expand>
			<fill>False</fill>
		      </child>
		    </widget>

		    <widget>
		      <class>GtkHBox</class>
		      <name>hbox4_allblack</name>
		      <homogeneous>False</homogeneous>
		      <spacing>0</spacing>
		      <child>
			<padding>0</padding>
			<expand>True</expand>
			<fill>True</fill>
		      </child>

		      <widget>
			<class>GtkVBox</class>
			<name>vbox4</name>
			<signal>
			  <name>whatever</name>
			  <handler>gdam_skin_create_if_defined:!simple</handler>
			  <last_modification_time>Sat, 26 May 2001 17:26:25 GMT</last_modification_time>
			</signal>
			<homogeneous>False</homogeneous>
			<spacing>0</spacing>
			<child>
			  <padding>0</padding>
			  <expand>False</expand>
			  <fill>False</fill>
			</child>

			<widget>
			  <class>Custom</class>
			  <name>custom6</name>
			  <width>8</width>
			  <height>7</height>
			  <tooltip>double effective tempo</tooltip>
			  <can_focus>True</can_focus>
			  <signal>
			    <name>gdam-left-clicked</name>
			    <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:nudge_bpm_factor:-1</handler>
			    <last_modification_time>Thu, 04 May 2000 00:52:39 GMT</last_modification_time>
			  </signal>
			  <creation_function>gtk_pix_button_create_func</creation_function>
			  <string1>bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm</string1>
			  <int1>0</int1>
			  <int2>0</int2>
			  <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
			  <child>
			    <padding>1</padding>
			    <expand>False</expand>
			    <fill>False</fill>
			  </child>
			</widget>

			<widget>
			  <class>Custom</class>
			  <name>custom7</name>
			  <width>8</width>
			  <height>7</height>
			  <tooltip>halve effective tempo</tooltip>
			  <can_focus>True</can_focus>
			  <signal>
			    <name>gdam-left-clicked</name>
			    <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:nudge_bpm_factor:1</handler>
			    <last_modification_time>Thu, 04 May 2000 00:56:51 GMT</last_modification_time>
			  </signal>
			  <creation_function>gtk_pix_button_create_func</creation_function>
			  <string1>bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm</string1>
			  <int1>0</int1>
			  <int2>0</int2>
			  <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
			  <child>
			    <padding>1</padding>
			    <expand>False</expand>
			    <fill>False</fill>
			  </child>
			</widget>
		      </widget>

		      <widget>
			<class>GtkLabel</class>
			<name>bpm_invlabel</name>
			<width>56</width>
			<signal>
			  <name>whatever</name>
			  <handler>gdam_packer_defer:tt1:gdam_skin_bpm_label</handler>
			  <last_modification_time>Wed, 06 Oct 1999 01:55:49 GMT</last_modification_time>
			</signal>
			<label>0.000</label>
			<justify>GTK_JUSTIFY_LEFT</justify>
			<wrap>False</wrap>
			<xalign>0.5</xalign>
			<yalign>0.5</yalign>
			<xpad>0</xpad>
			<ypad>0</ypad>
			<child>
			  <padding>0</padding>
			  <expand>False</expand>
			  <fill>False</fill>
			</child>
		      </widget>
		    </widget>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkLabel</class>
		<name>beatnum_label</name>
		<x>118</x>
		<y>148</y>
		<width>60</width>
		<height>20</height>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_packer_defer:tt1:gdam_turntable_beatnum_label</handler>
		  <last_modification_time>Wed, 06 Oct 1999 00:56:28 GMT</last_modification_time>
		</signal>
		<label>0.00</label>
		<justify>GTK_JUSTIFY_CENTER</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox_allblack</name>
		<x>48</x>
		<y>151</y>
		<width>90</width>
		<height>15</height>
		<tooltip>position in seconds</tooltip>

		<widget>
		  <class>GtkLabel</class>
		  <name>time_invlabel</name>
		  <width>80</width>
		  <height>20</height>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_time_label</handler>
		    <last_modification_time>Wed, 06 Oct 1999 00:50:50 GMT</last_modification_time>
		  </signal>
		  <label>000:00.00</label>
		  <justify>GTK_JUSTIFY_LEFT</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>2</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox4_allblack</name>
		<x>169</x>
		<y>151</y>
		<width>73</width>
		<height>15</height>
		<tooltip>position in beats</tooltip>

		<widget>
		  <class>GtkLabel</class>
		  <name>beatnum_invlabel</name>
		  <width>65</width>
		  <height>20</height>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_beatnum_label</handler>
		    <last_modification_time>Wed, 03 May 2000 04:13:05 GMT</last_modification_time>
		  </signal>
		  <label>000.000</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox6_allblack</name>
		<x>141</x>
		<y>151</y>
		<width>10</width>
		<height>12</height>

		<widget>
		  <class>GtkLabel</class>
		  <name>label5_inactivelabel</name>
		  <height>12</height>
		  <label>s</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox1_allblack</name>
		<x>245</x>
		<y>151</y>
		<width>10</width>
		<height>12</height>

		<widget>
		  <class>GtkLabel</class>
		  <name>label1_inactivelabel</name>
		  <height>12</height>
		  <label>b</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkPixmap</class>
		<name>pixmap_blue</name>
		<x>0</x>
		<y>0</y>
		<width>0</width>
		<height>0</height>
		<filename>bluetonetable.xpm</filename>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<build_insensitive>True</build_insensitive>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox1</name>
		<x>172</x>
		<y>108</y>
		<width>13</width>
		<height>11</height>
		<tooltip>anchor this turntable; other tracks will synch to this turntable.</tooltip>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:anchored:1</handler>
		  <last_modification_time>Tue, 16 May 2000 03:16:57 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom11</name>
		  <width>13</width>
		  <height>11</height>
		  <signal>
		    <name>clicked</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_toggle_button:anchored</handler>
		    <last_modification_time>Tue, 18 Jul 2000 03:29:17 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/minianchor_yellow_blue.xpm:bluetone/minianchor_red_blue.xpm:bluetone/minianchor_yellow_blue.xpm:bluetone/minianchor_red_blue.xpm</string1>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox2</name>
		<x>132</x>
		<y>108</y>
		<width>13</width>
		<height>11</height>
		<tooltip>lock tempo on song load; click to toggle</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom14</name>
		  <width>13</width>
		  <height>11</height>
		  <tooltip>lock tempo on song load; click to toggle</tooltip>
		  <signal>
		    <name>toggled</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_skin_toggle_button:tempo_locked</handler>
		    <last_modification_time>Thu, 24 May 2001 03:18:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/minilock_yellow_blue.xpm:bluetone/minilock_red_blue.xpm:bluetone/minilock_yellow_blue.xpm:bluetone/minilock_red_blue.xpm</string1>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox4_allblack</name>
		<x>152</x>
		<y>108</y>
		<width>13</width>
		<height>11</height>
		<tooltip>cycle beat info to next range; right click to lock the current beatinfo.  if beatinfo is locked, it will not be automatically updated when a new region of the song is entered</tooltip>
		<signal>
		  <name>gdam-left-clicked</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_cycle_beatinfo</handler>
		  <last_modification_time>Thu, 24 May 2001 02:56:10 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>gdam-right-clicked</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_skin_do_toggle:beatinfo_locked</handler>
		  <last_modification_time>Thu, 24 May 2001 03:30:06 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom15</name>
		  <width>13</width>
		  <height>11</height>
		  <signal>
		    <name>toggled</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_skin_toggle_button:beatinfo_locked</handler>
		    <last_modification_time>Thu, 24 May 2001 03:33:01 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/minibi_yellow_blue.xpm:bluetone/minibi_red_blue.xpm:bluetone/minibi_yellow_blue.xpm:bluetone/minibi_red_blue.xpm</string1>
		  <int1>1</int1>
		  <int2>1</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox3_blue</name>
		<x>113</x>
		<y>108</y>
		<width>13</width>
		<height>11</height>
		<tooltip>change the range of the rate slider; click to toggle between +/-12% and +/-100%</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom16_blue</name>
		  <width>13</width>
		  <height>11</height>
		  <tooltip>change the range of the rate slider; click to toggle between +/-12% and +/-100%</tooltip>
		  <signal>
		    <name>toggled</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_skin_skin_toggle_button:fine_rate_control</handler>
		    <last_modification_time>Thu, 24 May 2001 03:16:29 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/finecontrol_100_blue.xpm:bluetone/finecontrol_12_blue.xpm:bluetone/finecontrol_100_blue.xpm:bluetone/finecontrol_12_blue.xpm</string1>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox4</name>
		<x>10</x>
		<y>13</y>
		<width>21</width>
		<height>104</height>
		<tooltip>resample rate; drag, click in trough, middle-click, or use mouse wheel to change</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom8</name>
		  <width>21</width>
		  <height>104</height>
		  <tooltip>resample rate; drag, click in trough, middle-click, or use mouse wheel to change</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_adjustment:resample_rate:inverted</handler>
		    <last_modification_time>Wed, 10 May 2000 08:13:28 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_rate_adjustment</handler>
		    <last_modification_time>Fri, 20 Oct 2000 06:14:21 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
		  <string1>bluetone/vtrough.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm:bluetone/vhandle.xpm</string1>
		  <string2>5:5:0:91:1:0.88:1.12:1:0.0005:0.0005:0.0005</string2>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox5</name>
		<x>120</x>
		<y>9</y>
		<width>140</width>
		<height>11</height>
		<tooltip>click to seek forward/back by a fraction of a beat; +/- half beat maximum</tooltip>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 18:31:43 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom13</name>
		  <width>140</width>
		  <height>11</height>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_nudge_song_adjustment</handler>
		    <last_modification_time>Wed, 19 Jul 2000 22:19:46 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>gdam-right-clicked</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_reset_autotempo</handler>
		    <last_modification_time>Fri, 17 Aug 2001 21:37:04 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
		  <string1>bluetone/nudgetrough.xpm:bluetone/nudgehandle.xpm</string1>
		  <string2>1:2:139:0:0:-0.25:0.25:.1</string2>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox6</name>
		<x>262</x>
		<y>107</y>
		<width>12</width>
		<height>14</height>
		<tooltip>assign a set of hardware bindings</tooltip>

		<widget>
		  <class>GtkAlignment</class>
		  <name>alignment1</name>
		  <width>12</width>
		  <height>14</height>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xscale>1</xscale>
		  <yscale>1</yscale>

		  <widget>
		    <class>Custom</class>
		    <name>hardware_button</name>
		    <width>12</width>
		    <height>12</height>
		    <tooltip>assign a set of hardware bindings</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>clicked</name>
		      <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_skin_make_binding_dialog</handler>
		      <last_modification_time>Thu, 24 May 2001 03:22:31 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/hardware_yellow.xpm:bluetone/hardware_yellow.xpm:bluetone/hardware_yellow.xpm:bluetone/hardware_yellow.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox15</name>
		<x>22</x>
		<y>144</y>
		<width>237</width>
		<height>4</height>
		<tooltip>sync preview</tooltip>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 17:22:27 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom10</name>
		  <width>237</width>
		  <height>4</height>
		  <tooltip>sync preview</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_sync_preview_adjustment</handler>
		    <last_modification_time>Thu, 04 May 2000 06:30:55 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
		  <string1>bluetone/synctrough.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm:bluetone/synchandle.xpm</string1>
		  <string2>-3:3:242:0:0:-0.55:0.55:.1</string2>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox16</name>
		<x>12</x>
		<y>131</y>
		<width>252</width>
		<height>8</height>
		<tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom16_trackdrawingarea</name>
		  <width>252</width>
		  <height>8</height>
		  <tooltip>track display area; a left click seeks to an index point in beat, a right click seeks to any location in beat</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_track_display</handler>
		    <last_modification_time>Thu, 24 May 2001 03:24:13 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_track_display_create_func</creation_function>
		  <string1></string1>
		  <string2></string2>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Sun, 24 Sep 2000 23:46:09 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox17</name>
		<x>6</x>
		<y>123</y>
		<width>263</width>
		<height>7</height>
		<tooltip>position in song; click/drag to change</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom9</name>
		  <width>263</width>
		  <height>7</height>
		  <tooltip>position in song; click/drag to change</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_position_adjustment</handler>
		    <last_modification_time>Thu, 04 May 2000 04:27:43 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_scrollbar_create_func</creation_function>
		  <string1>bluetone/htrough.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm</string1>
		  <string2>5:4:252:0:0:0:1:.1</string2>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox18</name>
		<x>43</x>
		<y>10</y>
		<width>62</width>
		<height>8</height>
		<tooltip>click and drag to nudge the rate</tooltip>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 17:23:32 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom12</name>
		  <width>62</width>
		  <height>8</height>
		  <tooltip>click and drag to nudge the resample rate</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_packer_defer:tt1:gdam_turntable_nudge_rate_adjustment</handler>
		    <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gdam_dial_create_func</creation_function>
		  <string1>bluetone/jog.xpm</string1>
		  <string2>0.0:-1.0:1.0:reset:8</string2>
		  <int1>800</int1>
		  <int2>7</int2>
		  <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment2</name>
		<x>243</x>
		<y>108</y>
		<width>0</width>
		<height>0</height>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox135_allblack</name>

		  <widget>
		    <class>GtkVBox</class>
		    <name>vbox4</name>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>

		    <widget>
		      <class>GtkEventBox</class>
		      <name>eventbox100</name>
		      <signal>
			<name>gdam-left-clicked</name>
			<handler>gdam_packer_defer:pq1:gdam_skin_arg_int:repeat_mode:1:is_delta</handler>
			<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
		      </signal>

		      <widget>
			<class>Custom</class>
			<name>custom_repeat_dial</name>
			<width>13</width>
			<height>11</height>
			<tooltip>repeat mode</tooltip>
			<can_focus>True</can_focus>
			<signal>
			  <name>whatever</name>
			  <handler>gdam_packer_defer:pq1:gdam_skin_adjustment:repeat_mode</handler>
			  <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
			</signal>
			<creation_function>gdam_dial_create_func</creation_function>
			<string1>bluetone/minirepeat_dial.xpm</string1>
			<string2>0:0:3:no_mouse</string2>
			<int1>800</int1>
			<int2>4</int2>
			<last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
			<child>
			  <padding>0</padding>
			  <expand>True</expand>
			  <fill>False</fill>
			</child>
		      </widget>
		    </widget>

		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox2</name>
		<x>192</x>
		<y>107</y>
		<width>16</width>
		<height>13</height>
		<tooltip>change the timer origin; click to cycle between count-from-zero, count-from-firstbeat, and count-to-end</tooltip>
		<signal>
		  <name>button_press_event</name>
		  <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_nudge_timer_origin</handler>
		  <last_modification_time>Thu, 24 May 2001 02:57:06 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>GtkLabel</class>
		  <name>cycle_origin_activelabel</name>
		  <width>16</width>
		  <height>16</height>
		  <label>...</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox19_allblack</name>
		<x>59</x>
		<y>28</y>
		<width>0</width>
		<height>15</height>

		<widget>
		  <class>GtkLabel</class>
		  <name>label3_inactivelabel</name>
		  <label>rate:</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment5</name>
		<x>15</x>
		<y>150</y>
		<width>0</width>
		<height>18</height>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox1_allblack</name>
		  <tooltip>open song database browser</tooltip>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
		    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>gdam-control-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_launch:GdamPacker:songsel_palette.xml:GdamSongSelector</handler>
		    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>drag_data_get</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_drag_data_get</handler>
		    <last_modification_time>Sat, 19 Feb 2000 08:28:09 GMT</last_modification_time>
		  </signal>

		  <widget>
		    <class>GtkLabel</class>
		    <name>label4_activelabel</name>
		    <height>18</height>
		    <label>O</label>
		    <justify>GTK_JUSTIFY_CENTER</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment4</name>
		<x>213</x>
		<y>106</y>
		<width>0</width>
		<height>18</height>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox111</name>
		  <tooltip>add songs from playlist, directory, or gdam songdb</tooltip>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:pq1:gdam_queue_source_filename</handler>
		    <last_modification_time>Thu, 24 May 2001 02:57:52 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>drag_data_get</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:pq1:gdam_queue_drag_data_get</handler>
		    <last_modification_time>Thu, 24 May 2001 03:31:29 GMT</last_modification_time>
		  </signal>

		  <widget>
		    <class>GtkLabel</class>
		    <name>label6_activelabel</name>
		    <label>S</label>
		    <justify>GTK_JUSTIFY_CENTER</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment3</name>
		<x>230</x>
		<y>106</y>
		<width>0</width>
		<height>18</height>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox33</name>
		  <tooltip>open playlist window</tooltip>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_skin_skin_do_toggle:queue_visibility</handler>
		    <last_modification_time>Fri, 05 May 2000 07:55:21 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>drag_data_get</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_drag_data_get</handler>
		    <last_modification_time>Sat, 19 Feb 2000 08:28:09 GMT</last_modification_time>
		  </signal>

		  <widget>
		    <class>GtkLabel</class>
		    <name>label4_activelabel</name>
		    <label>^</label>
		    <justify>GTK_JUSTIFY_CENTER</justify>
		    <wrap>False</wrap>
		    <xalign>0.5</xalign>
		    <yalign>0.5</yalign>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox2</name>
		<x>265</x>
		<y>70</y>
		<width>8</width>
		<height>15</height>
		<tooltip>disable contiguous cueing - better performance but leaves tiny gaps between tracks</tooltip>

		<widget>
		  <class>Custom</class>
		  <name>custom14</name>
		  <width>7</width>
		  <height>9</height>
		  <tooltip>disable contiguous cueing - better performance but leaves tiny gaps between tracks</tooltip>
		  <signal>
		    <name>toggled</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:pq1:gdam_skin_toggle_button:contiguous_queueing_disabled</handler>
		    <last_modification_time>Thu, 24 May 2001 03:18:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/c_yellow.xpm:bluetone/c_red.xpm:bluetone/c_yellow.xpm:bluetone/c_red.xpm</string1>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		</widget>
	      </widget>



	      <widget>
		<class>GtkAlignment</class>
		<name>alignment8</name>
		<x>11</x>
		<y>168</y>
		<width>22</width>
		<height>12</height>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox3_allblack</name>

		  <widget>
		    <class>GtkVBox</class>
		    <name>vbox5_allblack</name>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>

		    <widget>
		      <class>Custom</class>
		      <name>custom3</name>
		      <width>22</width>
		      <height>12</height>
		      <tooltip>import selected songs</tooltip>
		      <signal>
			<name>gdam-left-clicked</name>
			<handler>gdam_packer_defer:pq1:gdam_queue_import_songsel_files</handler>
			<last_modification_time>Fri, 05 May 2000 08:55:08 GMT</last_modification_time>
		      </signal>
		      <creation_function>gtk_pix_button_create_func</creation_function>
		      <string1>bluetone/arrow.xpm:bluetone/arrow.xpm:bluetone/arrow.xpm:bluetone/arrow.xpm</string1>
		      <int1>0</int1>
		      <int2>0</int2>
		      <last_modification_time>Fri, 05 May 2000 07:32:24 GMT</last_modification_time>
		      <child>
			<padding>0</padding>
			<expand>True</expand>
			<fill>False</fill>
		      </child>
		    </widget>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkHBox</class>
		<name>gdam_turntable_producer_box</name>
		<x>33</x>
		<y>167</y>
		<width>223</width>
		<height>12</height>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_packer_defer:tt1:gdam_turntable_producer_container</handler>
		  <last_modification_time>Wed, 03 May 2000 02:16:25 GMT</last_modification_time>
		</signal>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>

		<widget>
		  <class>GtkFrame</class>
		  <name>pq_m_wid</name>
		  <signal>
		    <name>drag_data_received</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_filename_drag_received</handler>
		    <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
		  </signal>
		  <label_xalign>0</label_xalign>
		  <shadow_type>GTK_SHADOW_NONE</shadow_type>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>True</fill>
		  </child>

		  <widget>
		    <class>GtkVBox</class>
		    <name>vbox1_allblack</name>
		    <homogeneous>False</homogeneous>
		    <spacing>0</spacing>

		    <widget>
		      <class>GtkHBox</class>
		      <name>hbox1_allblack</name>
		      <height>12</height>
		      <homogeneous>False</homogeneous>
		      <spacing>0</spacing>
		      <child>
			<padding>0</padding>
			<expand>False</expand>
			<fill>False</fill>
		      </child>

		      <widget>
			<class>GtkVBox</class>
			<name>vbox3</name>
			<height>12</height>
			<homogeneous>True</homogeneous>
			<spacing>0</spacing>
			<child>
			  <padding>0</padding>
			  <expand>False</expand>
			  <fill>False</fill>
			</child>

			<widget>
			  <class>Custom</class>
			  <name>custom427_black_entry</name>
			  <width>220</width>
			  <height>13</height>
			  <signal>
			    <name>whatever</name>
			    <handler>gdam_packer_defer:pq1:gdam_skin_label:filename:%s</handler>
			    <last_modification_time>Tue, 16 May 2000 02:34:02 GMT</last_modification_time>
			  </signal>
			  <creation_function>gtk_bounce_label_create_func</creation_function>
			  <string1></string1>
			  <int1>0</int1>
			  <int2>0</int2>
			  <last_modification_time>Tue, 16 May 2000 02:33:08 GMT</last_modification_time>
			  <child>
			    <padding>0</padding>
			    <expand>True</expand>
			    <fill>True</fill>
			  </child>
			</widget>
		      </widget>
		    </widget>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkTable</class>
		<name>table1</name>
		<x>120</x>
		<y>32</y>
		<width>140</width>
		<height>70</height>
		<rows>2</rows>
		<columns>4</columns>
		<homogeneous>False</homogeneous>
		<row_spacing>0</row_spacing>
		<column_spacing>0</column_spacing>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox7</name>
		  <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
		  <child>
		    <left_attach>3</left_attach>
		    <right_attach>4</right_attach>
		    <top_attach>0</top_attach>
		    <bottom_attach>1</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>custom1</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:0.01</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:0.05</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:0.05</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:0.002</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:0.002</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgef.xpm:bluetone/nudgef.xpm:bluetone/nudgef.xpm:bluetone/nudgef.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox8</name>
		  <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
		  <child>
		    <left_attach>0</left_attach>
		    <right_attach>1</right_attach>
		    <top_attach>0</top_attach>
		    <bottom_attach>1</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>nudgeb_button</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:-0.01</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:-0.05</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:-0.05</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:-0.002</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek:-0.002</handler>
		      <last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgeb.xpm:bluetone/nudgeb.xpm:bluetone/nudgeb.xpm:bluetone/nudgeb.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox9</name>
		  <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
		  <child>
		    <left_attach>2</left_attach>
		    <right_attach>3</right_attach>
		    <top_attach>0</top_attach>
		    <bottom_attach>1</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>stop_button</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:-1</handler>
		      <last_modification_time>Fri, 17 Aug 2001 19:47:08 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_turntable_seek_fb_in_time</handler>
		      <last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:set_first_beat:1</handler>
		      <last_modification_time>Fri, 17 Aug 2001 19:47:39 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm:bluetone/stop.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox10</name>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:1</handler>
		    <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>gdam-control-clicked</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:2</handler>
		    <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
		  </signal>
		  <signal>
		    <name>gdam-right-clicked</name>
		    <handler>gdam_packer_defer:tt1:gdam_skin_arg_int:play_or_synch:2</handler>
		    <last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
		  </signal>
		  <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
		  <child>
		    <left_attach>1</left_attach>
		    <right_attach>2</right_attach>
		    <top_attach>0</top_attach>
		    <bottom_attach>1</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>play_button</name>
		    <width>35</width>
		    <height>35</height>
		    <sensitive>True</sensitive>
		    <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>toggled</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_toggle_button:playing</handler>
		      <last_modification_time>Fri, 29 Dec 2000 02:25:25 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/play.xpm:bluetone/play_active.xpm:bluetone/play.xpm:bluetone/play_active.xpm</string1>
		    <int1>1</int1>
		    <int2>1</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox11</name>
		  <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
		  <child>
		    <left_attach>0</left_attach>
		    <right_attach>1</right_attach>
		    <top_attach>1</top_attach>
		    <bottom_attach>2</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>nudgembb_button</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-2</handler>
		      <last_modification_time>Wed, 03 May 2000 04:04:39 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-8</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-8</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-2</handler>
		      <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-2</handler>
		      <last_modification_time>Wed, 03 May 2000 04:04:45 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm:bluetone/nudgembb.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox12</name>
		  <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
		  <child>
		    <left_attach>1</left_attach>
		    <right_attach>2</right_attach>
		    <top_attach>1</top_attach>
		    <bottom_attach>2</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>nudgemb_button</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-1</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-4</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:-4</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-1</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:-1</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm:bluetone/nudgemb.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox13</name>
		  <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
		  <child>
		    <left_attach>2</left_attach>
		    <right_attach>3</right_attach>
		    <top_attach>1</top_attach>
		    <bottom_attach>2</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>custom4</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:1</handler>
		      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:4</handler>
		      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:4</handler>
		      <last_modification_time>Thu, 04 May 2000 01:00:58 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:1</handler>
		      <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:1</handler>
		      <last_modification_time>Thu, 04 May 2000 01:01:02 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm:bluetone/nudgemf.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox14</name>
		  <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
		  <child>
		    <left_attach>3</left_attach>
		    <right_attach>4</right_attach>
		    <top_attach>1</top_attach>
		    <bottom_attach>2</bottom_attach>
		    <xpad>0</xpad>
		    <ypad>0</ypad>
		    <xexpand>False</xexpand>
		    <yexpand>False</yexpand>
		    <xshrink>False</xshrink>
		    <yshrink>False</yshrink>
		    <xfill>True</xfill>
		    <yfill>True</yfill>
		  </child>

		  <widget>
		    <class>Custom</class>
		    <name>nudgemff_button</name>
		    <width>35</width>
		    <height>35</height>
		    <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:2</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:8</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_bars:8</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:2</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-control-clicked</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_arg_double:seek_by_beats:2</handler>
		      <last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm:bluetone/nudgemff.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment7</name>
		<x>258</x>
		<y>172</y>
		<width>8</width>
		<height>7</height>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 18:32:17 GMT</last_modification_time>
		</signal>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>Custom</class>
		  <name>custom2</name>
		  <width>8</width>
		  <height>7</height>
		  <tooltip>skip forward one song</tooltip>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_skip_song:1</handler>
		    <last_modification_time>Fri, 05 May 2000 07:36:40 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm:bluetone/down.xpm</string1>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 05 May 2000 07:32:24 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkAlignment</class>
		<name>alignment6</name>
		<x>258</x>
		<y>163</y>
		<width>8</width>
		<height>7</height>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 18:33:10 GMT</last_modification_time>
		</signal>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xscale>1</xscale>
		<yscale>1</yscale>

		<widget>
		  <class>Custom</class>
		  <name>custom1</name>
		  <width>8</width>
		  <height>7</height>
		  <tooltip>skip back one song</tooltip>
		  <signal>
		    <name>gdam-left-clicked</name>
		    <handler>gdam_packer_defer:pq1:gdam_queue_skip_song:-1</handler>
		    <last_modification_time>Fri, 05 May 2000 07:34:52 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm:bluetone/up.xpm</string1>
		  <int1>0</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 05 May 2000 07:32:24 GMT</last_modification_time>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox112</name>
		<x>262</x>
		<y>19</y>
		<width>12</width>
		<height>14</height>
		<tooltip>tap phase</tooltip>

		<widget>
		  <class>GtkAlignment</class>
		  <name>alignment9</name>
		  <width>12</width>
		  <height>14</height>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xscale>1</xscale>
		  <yscale>1</yscale>

		  <widget>
		    <class>Custom</class>
		    <name>custom16999</name>
		    <width>12</width>
		    <height>12</height>
		    <tooltip>tap target rhythm, right-click to reset, middle- or shift-click to apply autotempo</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>gdam-left-clicked</name>
		      <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_tap_phase</handler>
		      <last_modification_time>Tue, 19 Feb 2002 02:16:48 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-middle-clicked</name>
		      <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_apply_autotempo</handler>
		      <last_modification_time>Sat, 18 Aug 2001 13:10:46 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-shift-clicked</name>
		      <handler>gdam_skin_create_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_apply_autotempo</handler>
		      <last_modification_time>Sat, 18 Aug 2001 13:10:46 GMT</last_modification_time>
		    </signal>
		    <signal>
		      <name>gdam-right-clicked</name>
		      <handler>gdam_skin_bind_if_defined:!simple:gdam_packer_defer:tt1:gdam_turntable_reset_autotempo</handler>
		      <last_modification_time>Sat, 18 Aug 2001 13:10:33 GMT</last_modification_time>
		    </signal>
		    <creation_function>gtk_pix_button_create_func</creation_function>
		    <string1>bluetone/target.xpm:bluetone/target.xpm:bluetone/target.xpm:bluetone/target.xpm</string1>
		    <int1>0</int1>
		    <int2>0</int2>
		    <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
		  </widget>
		</widget>
	      </widget>



	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox1122</name>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		</signal>
		<x>262</x>
		<y>39</y>
		<width>12</width>
		<height>12</height>
		<tooltip>tap status</tooltip>

		<widget>
		  <class>GtkAlignment</class>
		  <name>alignment98</name>
		  <width>12</width>
		  <height>12</height>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xscale>1</xscale>
		  <yscale>1</yscale>


		  <widget>
		    <class>Custom</class>
		    <name>custom122</name>
		    <width>12</width>
		    <height>12</height>
		    <tooltip>tap status</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>whatever</name>
		      <handler>gdam_packer_defer:tt1:gdam_skin_skin_adjustment:tap_status</handler>
		      <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		    </signal>
		    <creation_function>gdam_dial_create_func</creation_function>
		    <string1>bluetone/tap_status_knob.xpm</string1>
		    <string2>0:0:3:reset:no_mouse</string2>
		    <int1>800</int1>
		    <int2>4</int2>
		    <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		  </widget>

		</widget>
	      </widget>

	    </widget>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1</name>
	  <label></label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>1</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkAlignment</class>
	  <name>alignment1</name>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xscale>1</xscale>
	  <yscale>1</yscale>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

<widget>
  <class>GtkWindow</class>
  <name>queue window</name>
  <visible>False</visible>
  <signal>
    <name>whateve</name>
    <handler>gdam_packer_defer:pq1:gdam_queue_queue_toplevel</handler>
    <last_modification_time>Fri, 28 Jan 2000 03:38:52 GMT</last_modification_time>
  </signal>
  <title>Queued Songs</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <default_width>500</default_width>
  <default_height>200</default_height>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>vbox2</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkScrolledWindow</class>
      <name>scrolledwindow2</name>
      <hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
      <vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
      <hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
      <vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkCList</class>
	<name>clist1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_clist:queued:filename</handler>
	  <last_modification_time>Sun, 06 Feb 2000 18:14:34 GMT</last_modification_time>
	</signal>
	<columns>2</columns>
	<column_widths>20,80</column_widths>
	<selection_mode>GTK_SELECTION_EXTENDED</selection_mode>
	<show_titles>False</show_titles>
	<shadow_type>GTK_SHADOW_IN</shadow_type>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label2</name>
	  <label>=&gt;</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label3</name>
	  <label>filename</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button3</name>
	<tooltip>remove selected songs</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_delete_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:04 GMT</last_modification_time>
	</signal>
	<label>rm</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button4</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_up_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:46 GMT</last_modification_time>
	</signal>
	<label>up</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button5</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_down_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:50:21 GMT</last_modification_time>
	</signal>
	<label>down</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button7</name>
	<tooltip>play selected song</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_select_clicked</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:51:49 GMT</last_modification_time>
	</signal>
	<label>skip</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button8</name>
	<tooltip>add songs from playlist, directory, or gdam song database</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_source_filename</handler>
	  <last_modification_time>Tue, 16 May 2000 00:06:11 GMT</last_modification_time>
	</signal>
	<label>source...</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button6</name>
	<tooltip>refresh song list (shouldn't be needed)</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:pq1:gdam_queue_refresh_clicked</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:49:54 GMT</last_modification_time>
	</signal>
	<label>O</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
